Subject: Re: [Ietf-krb-wg] I-D Action:draft-ietf-krb-wg-kdc-model-00.txt

From: Jeffrey Hutzelman <[email-masked]>
Date: Wed, 09 Jan 2008 09:17:23 -0500

--On Monday, December 10, 2007 07:40:40 PM +0100 Leif Johansson 
<[email-masked]> wrote:

> Howard Chu wrote:
>> [email-masked] wrote:
>>
>>> A New Internet-Draft is available from the on-line Internet-Drafts
>>> directories. This draft is a work item of the Kerberos Working Group of
>>> the IETF.
>>>
>>>
>>> 	Title           : An information model for Kerberos version 5
>>> 	Author(s)       : L. Johasson
>>> 	Filename        : draft-ietf-krb-wg-kdc-model-00.txt
>>> 	Pages           : 19
>>> 	Date            : 2007-12-10
>>>
>>> This document describes an information model for Kerberos version 5
>>> from the point of view of an administrative service.  There is no
>>> standard for administrating a kerberos 5 KDC.  This document
>>> describes the services exposed by an administrative interface to a
>>> KDC.
>>>
>>
>> That's pretty good. We also need a spec for an LDAP schema; I've been
>> working  with the Samba team on a draft for that. We have a few problems
>> with the  schemas currently in use for the MIT and Heimdal KDCs (aside
>> from the obvious  fact that they use two different schema) and have a
>> proposal on how to unify  them. Will be publishing the first draft soon.
>>
>
> I guess the wg would be happy to se this since it is one of the
> charter items (an ldap schema). Looking forward to it!

Well, we have a charter item specifically for an LDAP schema to be used for 
managing the data described by the data model.  My reading of that item is 
that it's intended to be used as a kadmin replacement, and that we do not 
currently have a charter item to standardize the interface between a KDC 
and whatever backend database it might be using.  However, I don't think 
that precludes work in this WG on a schema which could be used for both 
purposes, if such a thing turns out to be feasible.

I imagine we'll be looking for authors/editors for an LDAP schema document 
in the near future.  If you or someone you know is interested, please drop 
Larry and me a line.

-- Jeff
_______________________________________________
ietf-krb-wg mailing list
[email-masked]
https://lists.anl.gov/mailman/listinfo/ietf-krb-wg